Bug 375141 - c annot use yum or software update
c annot use yum or software update
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-iniparse (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 17:39 EST by wallace
Modified: 2014-01-21 18:00 EST (History)
5 users (show)

See Also:
Fixed In Version: 0.2.2-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:47:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wallace 2007-11-10 17:39:58 EST
Description of problem: cannot use yum or software update


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. using either yum or software update
2. see what happens
Component: pirut
Summary: TB29ec97ad ini.py:563:readfp:UnboundLocalError: local variable 'line'
referenced before assignment

Traceback (most recent call last):
  File "/usr/sbin/pup", line 614, in <module>
    main()
  File "/usr/sbin/pup", line 606, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 85, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 129, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 113, in
doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 164, in _getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 229, in
getReposFromConfig
    parser.readfp(confpp_obj)
  File "/usr/lib/python2.5/site-packages/iniparse/compat.py", line 106, in readfp
    self.data.readfp(fp)
  File "/usr/lib/python2.5/site-packages/iniparse/ini.py", line 563, in readfp
    if line and line[-1]=='\n':
UnboundLocalError: local variable 'line' referenced before assignment

Local variables in innermost frame:
pending_lines: []
fp: <yum.parser.ConfigPreProcessor instance at 0x9c82a6c>
exc: None
self: 
cur_section_name: None
linecount: 0
cur_option_name: None
fname: file://///etc/yum.repos.d/macromedia-i386.repo
cur_option: None
cur_section: None

3.
  
Actual results:
See above
Expected results:
update should work

Additional info:
Comment 1 Tomas Nemec 2007-11-12 07:35:12 EST
Almost the same problem:

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 85, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 154, in getOptionsConfig
    disabled_plugins=opts.disableplugins)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 164, in 
_getConfig
    self.getReposFromConfig()
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 229, in 
getReposFromConfig
    parser.readfp(confpp_obj)
  File "/usr/lib/python2.5/site-packages/iniparse/compat.py", line 106, in 
readfp
    self.data.readfp(fp)
  File "/usr/lib/python2.5/site-packages/iniparse/ini.py", line 563, in readfp
    if line and line[-1]=='\n':
UnboundLocalError: local variable 'line' referenced before assignment

It`s happend after last update:
Nov 11 11:53:10 Updated: firefox.i386 2.0.0.9-1.fc7
Nov 11 11:53:11 Installed: python-iniparse.noarch 0.2.2-1.fc7
Nov 11 11:53:21 Updated: pirut.noarch 1.3.23-1.fc7
Nov 11 11:54:25 Updated: firefox-devel.i386 2.0.0.9-1.fc7
Nov 11 11:54:27 Updated: python-urlgrabber.noarch 3.0.0-3.fc7
Nov 11 11:54:37 Updated: kernel-headers.i386 2.6.23.1-21.fc7
Nov 11 11:55:00 Updated: tzdata.noarch 2007i-1.fc7
Nov 11 11:56:52 Installed: kernel-devel.i686 2.6.23.1-21.fc7
Nov 11 11:57:10 Updated: libattr.i386 2.4.32-3.fc7
Nov 11 11:57:12 Updated: libacl.i386 2.2.39-6.fc7
Nov 11 11:57:50 Updated: ncurses.i386 5.6-9.20070812.fc7
Nov 11 11:58:03 Updated: netpbm.i386 10.35.32-1.fc7
Nov 11 11:58:14 Updated: coreutils.i386 6.9-5.fc7
Nov 11 11:58:30 Updated: mono-core.i386 1.2.3-5.fc7
Nov 11 11:58:35 Updated: bind-libs.i386 9.4.2-0.4.rc1.fc7
Nov 11 11:58:37 Updated: cups-libs.i386 1.2.12-7.fc7
Nov 11 11:58:50 Updated: samba-common.i386 3.0.26a-6.fc7
Nov 11 11:59:30 Updated: tomboy.i386 0.6.1-2.fc7
Nov 11 12:00:41 Updated: devhelp.i386 0.13-11.fc7
Nov 11 12:02:02 Updated: gthumb.i386 2.10.7-1.fc7
Nov 11 12:02:08 Updated: samba-client.i386 3.0.26a-6.fc7
Nov 11 12:02:46 Updated: cups.i386 1.2.12-7.fc7
Nov 11 12:02:47 Updated: bind-utils.i386 9.4.2-0.4.rc1.fc7
Nov 11 12:03:06 Updated: netpbm-progs.i386 10.35.32-1.fc7
Nov 11 12:03:08 Updated: acl.i386 2.2.39-6.fc7
Nov 11 12:03:10 Updated: attr.i386 2.4.32-3.fc7
Nov 11 12:03:57 Updated: yelp.i386 2.18.1-7.fc7
Nov 11 12:04:00 Updated: cpio.i386 2.6-28.fc7
Nov 11 12:04:04 Updated: libsmbclient.i386 3.0.26a-6.fc7
Nov 11 12:04:06 Updated: hdparm.i386 7.7-1.fc7
Nov 11 12:04:07 Updated: libattr-devel.i386 2.4.32-3.fc7
Nov 11 12:04:21 Updated: ncurses-devel.i386 5.6-9.20070812.fc7
Nov 11 12:06:31 Installed: kernel.i686 2.6.23.1-21.fc7
Nov 11 12:06:34 Updated: libacl-devel.i386 2.2.39-6.fc7
Nov 11 12:06:36 Updated: netpbm-devel.i386 10.35.32-1.fc7


Comment 2 Seth Vidal 2007-11-12 08:33:25 EST
remove this file:
/etc/yum.repos.d/macromedia-i386.repo

it is empty and is causing problems with iniparser.
Comment 3 Tomas Nemec 2007-11-12 17:11:04 EST
Problem solved thx skvidal, 
so if you`ll find empty file for example /etc/yum.repos.d./dag.repo  etc. it
make`s a problem with initparser so simply just delete emty REPO file and it
work`s again. this problem appeared after last update before the yum works with
empty files fine.
Comment 4 Fedora Update System 2007-11-20 12:45:15 EST
python-iniparse-0.2.2-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-iniparse'
Comment 5 Fedora Update System 2007-11-20 13:07:40 EST
python-iniparse-0.2.2-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-iniparse'
Comment 6 Fedora Update System 2007-11-26 13:47:33 EST
python-iniparse-0.2.2-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-11-26 13:53:43 EST
python-iniparse-0.2.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.